// Copyright (C) {{year}} WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

{{#flutter_only}}
import 'package:flutter/material.dart';
{{/flutter_only}}
import 'package:wyatt_{{package_name.snakeCase()}}/wyatt_{{package_name.snakeCase()}}.dart';

{{#flutter_only}}
void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: '{{package_name.titleCase()}} Example',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: Scaffold(
        appBar: AppBar(
          title: const Text('{{package_name.titleCase()}} Example'),
        ),
        body: Center(child: Text(wyatt())),
      ),
    );
  }
}
{{/flutter_only}}
{{^flutter_only}}
void main() {
  print(wyatt());
}
{{/flutter_only}}